org.apache.commons.math.distribution

## Interface DiscreteDistribution

All Superinterfaces:
  Distribution

All Known Subinterfaces:
  BinomialDistribution, HypergeometricDistribution, IntegerDistribution, PascalDistribution, PoissonDistribution, ZipfDistribution

All Known Implementing Classes:
  AbstractIntegerDistribution, BinomialDistributionImpl, HypergeometricDistributionImpl, PascalDistributionImpl, PoissonDistributionImpl, ZipfDistributionImpl

    public interface DiscreteDistribution
    extends Distribution

Base interface for discrete distributions.

Version:
  $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $

### Method Summary

Methods
`double` `probability(double x)` For a random variable X whose values are distributed according to this distribution, this method returns P(X = x).

### Methods inherited from interface org.apache.commons.math.distribution.Distribution

`cumulativeProbability, cumulativeProbability`

### Method Detail

#### probability

    double probability(double x)

For a random variable X whose values are distributed according to this distribution, this method returns P(X = x). In other words, this method represents the probability mass function, or PMF for the distribution.

Parameters:
  `x` - the value at which the probability mass function is evaluated.
Returns:
  the value of the probability mass function at x